commit:     596dff7bf9f1ffb504daba2d87076d62feb90908
Author:     Maik Freudenberg <hhfeuer <AT> gmx <DOT> de>
AuthorDate: Wed Sep 18 19:53:03 2019 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Wed Sep 18 20:05:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=596dff7b

x11-base/xorg-server: Add libglvnd support

Closes: https://bugs.gentoo.org/692168
Signed-off-by: Maik Freudenberg <hhfeuer <AT> gmx.de>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 x11-base/xorg-server/xorg-server-1.20.5.ebuild | 12 +++++++++---
 x11-base/xorg-server/xorg-server-9999.ebuild   | 12 +++++++++---
 2 files changed, 18 insertions(+), 6 deletions(-)

diff --git a/x11-base/xorg-server/xorg-server-1.20.5.ebuild 
b/x11-base/xorg-server/xorg-server-1.20.5.ebuild
index 1fbae4ec655..d6883094f9f 100644
--- a/x11-base/xorg-server/xorg-server-1.20.5.ebuild
+++ b/x11-base/xorg-server/xorg-server-1.20.5.ebuild
@@ -15,9 +15,13 @@ if [[ ${PV} != 9999* ]]; then
 fi
 
 IUSE_SERVERS="dmx kdrive wayland xephyr xnest xorg xvfb"
-IUSE="${IUSE_SERVERS} debug elogind +glamor ipv6 libressl minimal selinux 
+suid systemd +udev unwind xcsecurity"
+IUSE="${IUSE_SERVERS} debug elogind +glamor ipv6 libressl libglvnd minimal 
selinux +suid systemd +udev unwind xcsecurity"
 
-CDEPEND=">=app-eselect/eselect-opengl-1.3.0
+CDEPEND="libglvnd? (
+               media-libs/libglvnd
+               !app-eselect/eselect-opengl
+       )
+       !libglvnd? ( >=app-eselect/eselect-opengl-1.3.0 )
        !libressl? ( dev-libs/openssl:0= )
        libressl? ( dev-libs/libressl:0= )
        >=x11-apps/iceauth-1.0.2
@@ -206,7 +210,9 @@ src_install() {
 pkg_postinst() {
        if ! use minimal; then
                # sets up libGL and DRI2 symlinks if needed (ie, on a fresh 
install)
-               eselect opengl set xorg-x11 --use-old
+               if ! use libglvnd; then
+                       eselect opengl set xorg-x11 --use-old
+               fi
        fi
 }
 

diff --git a/x11-base/xorg-server/xorg-server-9999.ebuild 
b/x11-base/xorg-server/xorg-server-9999.ebuild
index 3547a7b0742..c45093888f5 100644
--- a/x11-base/xorg-server/xorg-server-9999.ebuild
+++ b/x11-base/xorg-server/xorg-server-9999.ebuild
@@ -14,9 +14,13 @@ if [[ ${PV} != 9999* ]]; then
 fi
 
 IUSE_SERVERS="dmx kdrive wayland xephyr xnest xorg xvfb"
-IUSE="${IUSE_SERVERS} debug elogind +glamor ipv6 libressl minimal selinux 
+suid systemd +udev unwind xcsecurity"
+IUSE="${IUSE_SERVERS} debug elogind +glamor ipv6 libressl libglvnd minimal 
selinux +suid systemd +udev unwind xcsecurity"
 
-CDEPEND=">=app-eselect/eselect-opengl-1.3.0
+CDEPEND="libglvnd? (
+               media-libs/libglvnd
+               !app-eselect/eselect-opengl
+       )
+       !libglvnd? ( >=app-eselect/eselect-opengl-1.3.0 )
        !libressl? ( dev-libs/openssl:0= )
        libressl? ( dev-libs/libressl:0= )
        >=x11-apps/iceauth-1.0.2
@@ -201,7 +205,9 @@ src_install() {
 pkg_postinst() {
        if ! use minimal; then
                # sets up libGL and DRI2 symlinks if needed (ie, on a fresh 
install)
-               eselect opengl set xorg-x11 --use-old
+               if ! use libglvnd; then
+                       eselect opengl set xorg-x11 --use-old
+               fi
        fi
 }
 

Reply via email to